$(document).ready(function(){

	//Window triggers
	$(window).on('unload',function(){
		alert('bye')  
	});

	//Design events
	
	//Old design
	$( document ).on( 'mouseenter', '.itemWrap', function () {
		$(this).css("background-color", "#f3f3f3");
	});
	
	$( document ).on( 'mouseleave', '.itemWrap', function () {
		$(this).css("background-color", "#f0f0f0");
	});
	
		
	$( document ).on( 'click', '.itemWrap', function () {
		var id = $(this).attr('id');
		window.location.href = "product.php?id="+id;
	});
	
	//NEW MODE / OLD MODE=======================================//
	$("#list-row, #list-stack").mouseenter(function(){
		$(this).css( "color", "#AECFE5");
		$(this).css( 'cursor', 'pointer' );
	});
	
	$("#list-row, #list-stack").mouseleave(function(){
		$(this).css("color", "#ccc");
	});
	
	$( document ).on( 'mouseenter', '.flex-item', function () {
		$(this).css( "background-color", "#AECFE5");
		$(this).css( "border-color", "#AECFE5");
		$(this).css( 'cursor', 'pointer' );
	})
	
	$( document ).on( 'mouseleave', '.flex-item', function () {
		$(this).css( "background-color", "#F0F0F0");
		$(this).css( "border-color", "#CCC");
		$(this).css( 'cursor', 'default' );
	})
	//==============DESIGN EVENTS===============//
	
	//Item open events//
	
	
	//flex-btn events========================================
	$( document ).on( 'click', '#flex-btn-buy', function () {
	
		var id = $(".flex-item").attr("id");
		
		var product = '';
		var price = 0;
		var seller = '';

		//Show confirmation window
		$.ajax({
			method: "POST",
			url: "getvars.php?getitem="+id,
			dataType: "json",
				success: function(item){
					productid = item['productid'];
					product = item['product'];
					price = item['price'];
					seller = item['seller'];
					sellerid = item['sellerid'];
					
					
					var html = "<h2>Order confirmation</h2>" + 
					"<p id='" +productid+ "' class='flex-confirm-item'>Product/Service: " +product+ "</p>" +
					"<p class='flex-confirm-price'> $" +price+ " will be sent to: " +seller+ "</p>" +
					"<label for='fe' class='pure-checkbox'>" + 
						"<input id='fe' type='checkbox'>Finalize Early (FE)" +
					"</label>" +
					"<input id='pin' style='display: block;' type='number' max='9999' class='pure-input-1-8' placeholder='Pin'>" +
					"<p class='flex-error'></p>" +
					"<button id='flex-btn-confirm' class='pure-button'>Confirm!</button>";
					
					$("#light").empty();
					$("#light").append(html);
				}
		});
	})	
	
	var isError = false;
	$( document ).on( 'click', '#flex-btn-confirm', function () {
		var id = $(".flex-confirm-item").attr("id");
		var fe = $("#fe").prop( "checked" );
		var pin = $("#pin").val();
		var arr = {fe:fe, id:id, pin:pin};

		$.ajax({
			method: "POST",
			url: "buy.php",
			data: arr,
			dataType: "json",
				success: function(data){
						
					if(data == 1){
						$("#light").css("display", "none");
						$("#fade").css("display", "none");
						$("#light").empty();
					}else
						$(".flex-error").text(data);
					
				}
		})
	});
	
	
	//========================================
	
	
	
	$("#list-row").click(function(){
	
		$.ajax({
			method: "POST",
			url: "setvars.php?newMode=1",
			dataType: "json",
				success: function(data){
					document.location.reload();
				}
		});
		
	});
	
	$("#list-stack").click(function(){
	
		$.ajax({
			method: "POST",
			url: "setvars.php?newMode=0",
			dataType: "json",
				success: function(data){
					document.location.reload();
				}
		});
		
	});
	
	var isOpen = false;
	
	$( document ).on( 'click', '.flex-item', function () {
		if( !isOpen ){
			isOpen = true;
			
				var id = $(this).attr("id");
				var product = '';
				var price = 0;
				var seller = '';
				
				var picture = '';
				var origin = '';
				var posted = '';
				var description = '';
			
			$.ajax({
				method: "POST",
				url: "getvars.php?getitem="+id,
				dataType: "json",
					success: function(item){

						product = item['product'];
						price = item['price'];
						pricebtc = item['pricebtc'];
						seller = item['seller'];
						
						picture = item['picture'];
						origin = item['origin'];
						posted = item['posted'];
						description = item['description'];
						sellerid = item['sellerid'];
						
			var html =  '<div class="flex-overlay-image">' +
							'<img class="thumbnail" src="' +picture+ '">' +
						'</div>' +
						
						'<div class="flex-overlay-content">' +
							 '<p class="flex-overlay-title">' +product+ '</p>' +
							 '<p class="flex-overlay-posted">Posted: ' +posted+ '</p>' +
							 '<p class="flex-overlay-seller">Seller: <a href="user.php?id=' +sellerid+ ' ">' +seller+ '</a></p>' +
							 '<p class="flex-overlay-from">From: ' +origin+ '</p>' +
						'</div>' +
						
						'<div class="flex-overlay-description">' +
							'<textarea readonly>' +description+ '</textarea>' +
						'</div>' +
						'<button id="flex-btn-buy" class="pure-button">Buy! ($' +price+ ') (฿' +pricebtc+ ')</button>';
						
						$("#light").append(html);
						$("#light").css("display", "block");
						$("#fade").css("display", "block");
					}	
			});
		}
	});	
	
	
	$( document ).on( 'click', '#fade', function ( e ) {
		if( isOpen ){
			isOpen = false;
			isError = false; //Display no funds available
			
			$("#light").css("display", "none");
			$("#fade").css("display", "none");
			$("#light").empty();
						
			e.stopPropagation();
		}
	});
	
	$(".search").keypress(function(e){
		if(e.which == 13) { //Pressed enter key
			var q = $(this).val();
			var products = new Array();
			
			$.ajax({
				method: "POST",
				url: "category.php?q="+q,
				dataType: "json",
					success: function(data){
					
						ratio = data['ratio'];
							
						$("#flex-container").empty(); //Remove all items

						$.each( data['products'] , function(key , item ) {
						
								//Product
								productid = item['ID'];
								product = item['Title'];
								price = item['Price'];
								pricebtc = price*ratio; //USD > BTC
								seller = item['Seller'];
								//////////////////////////
								
								//flex-item
								picture = item['Bild'];
								origin = item['origin'];
								posted = item['Posted'];
								description = item['Description'];
								///////////////////////
								
								$("#flex-container").append("\
									<li class='flex-item' id='" +productid+ "'>\
										<div class='flex-image'>\
											<img class='flex-image-text' src='" +picture+ "'></img>\
										</div>\
										<div class='flex-content'>\
											<div class='flex-title'>\
												<p class='flex-title-text'>" +product+ "</p>\
											</div>\
											<div class='flex-seller'>\
												<p class='flex-seller-text'><i class='fa fa-user'></i>" +seller+ "</p>\
											</div>\
											<div class='flex-price'>\
												<p class='flex-price-text'>\
													<i class='fa fa-usd'></i>" +price+ " ( \
													<i class='fa fa-btc'></i>" +pricebtc+ " ) \
												</p>\
											</div>\
										</div>\
									</li>\
									");			
						});
				}
			})	
		}
	});
	
	$("li .category").click(function(){	
		var c = $(this).text().split(" (")[0];		
		$.ajax({
			method: "POST",
			url: "category.php?c="+c,
			dataType: "json",
			success: function(data){
			
						ratio = data['ratio'];
							
						$("#flex-container").empty(); //Remove all items

						$.each( data['products'] , function(key , item ) {
						
								//Product
								productid = item['ID'];
								product = item['Title'];
								price = item['Price'];
								pricebtc = price*ratio; //USD > BTC
								seller = item['Seller'];
								//////////////////////////
								
								//flex-item
								picture = item['Bild'];
								origin = item['origin'];
								posted = item['Posted'];
								description = item['Description'];
								///////////////////////
								
								$("#flex-container").append("\
									<li class='flex-item' id='" +productid+ "'>\
										<div class='flex-image'>\
											<img class='flex-image-text' src='" +picture+ "'></img>\
										</div>\
										<div class='flex-content'>\
											<div class='flex-title'>\
												<p class='flex-title-text'>" +product+ "</p>\
											</div>\
											<div class='flex-seller'>\
												<p class='flex-seller-text'><i class='fa fa-user'></i>" +seller+ "</p>\
											</div>\
											<div class='flex-price'>\
												<p class='flex-price-text'>\
													<i class='fa fa-usd'></i>" +price+ " ( \
													<i class='fa fa-btc'></i>" +pricebtc+ " ) \
												</p>\
											</div>\
										</div>\
									</li>\
									");			
						});
			}
		})	
	});
	
});